org.apache.solr.handler.component

## Interface StatsValues

-     public interface StatsValues

  StatsValue defines the interface for the collection of statistical values about fields and facets.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accumulate(BytesRef value, int count)` Accumulate the values based on the given value
    `void` | `accumulate(int docID)` Accumulate the value associated with `docID`.
    `void` | `accumulate(NamedList stv)` Accumulate the values based on those in the given NamedList
    `void` | `addFacet(String facetName, Map<String,StatsValues> facetValues)` Adds the facet statistics for the facet with the given name
    `void` | `addMissing(int count)` Updates the statistics when multiple documents are missing a value
    `NamedList<?>` | `getStatsValues()` Translates the values into a NamedList representation
    `void` | `missing()` Updates the statistics when a document is missing a value
    `void` | `setNextReader(LeafReaderContext ctx)` Set the context for `accumulate(int)`.

- - ### Method Detail

    - #### accumulate

          void accumulate(NamedList stv)

      Accumulate the values based on those in the given NamedList
      Parameters:
        `stv` - NamedList whose values will be used to accumulate the current values

    - #### accumulate

          void accumulate(int docID)

      Accumulate the value associated with `docID`.
      See Also:
        `setNextReader(org.apache.lucene.index.LeafReaderContext)`

    - #### accumulate

          void accumulate(BytesRef value,
                          int count)

      Accumulate the values based on the given value
      Parameters:
        `value` - Value to use to accumulate the current values
        `count` - number of times to accumulate this value

    - #### missing

          void missing()

      Updates the statistics when a document is missing a value

    - #### addMissing

          void addMissing(int count)

      Updates the statistics when multiple documents are missing a value
      Parameters:
        `count` - number of times to count a missing value

    - #### addFacet

          void addFacet(String facetName,
                        Map<String,StatsValues> facetValues)

      Adds the facet statistics for the facet with the given name
      Parameters:
        `facetName` - Name of the facet
        `facetValues` - Facet statistics on a per facet value basis

    - #### getStatsValues

          NamedList<?> getStatsValues()

      Translates the values into a NamedList representation
      Returns:
        NamedList representation of the current values

    - #### setNextReader

          void setNextReader(LeafReaderContext ctx)
                      throws IOException

      Set the context for `accumulate(int)`.
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.